import { http } from '@/utils/http/axios';

/**
 * @description: 添加配置
 */
export function addConfig(params) {
  return http.request({
    url: '/sysconfig/add',
    method: 'post',
    params,
  });
}

/**
 * @description: 删除配置
 */
export function deleteConfig(params) {
  return http.request({
    url: '/sysconfig/delete',
    method: 'post',
    params,
  });
}

/**
 * @description: 编辑配置
 */
export function editConfig(params) {
  return http.request({
    url: '/sysconfig/update',
    method: 'post',
    params,
  });
}

/**
 * @description: 配置列表
 */
export function configList(params) {
  return http.request({
    url: '/sysconfig/list',
    method: 'get',
    params,
  });
}

/**
 * @description: 配置详情
 */
export function configInfo(params) {
  return http.request({
    url: '/sysconfig/view',
    method: 'get',
    params,
  });
}
